/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: House365InterfaceResponse.java
 * Author:   duhui
 * Date:     2015年1月22日 下午4:16:31
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.ws.system;

import java.util.List;

/**
 * 接口调用相应response
 *
 * @author duhui
 * @version [v1.0.0, 2015年1月22日]
 * @param <T>
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class House365InterfaceResponse<T> implements java.io.Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    /**
     * result小于-10000为异常，大于10000为正常
     */
    private String result;
    /**
     * 错误信息
     */
    private String msg = "";
    
    /**
     * 返回的实体对象列表
     */
    private List<T> data;

    /**
     * 
     * @return result
     */
    public String getResult() {
        return result;
    }

    /**
     * 
     * @return msg
     */
    public String getMsg() {
        return msg;
    }

    /**
     * 
     * @param result result
     */
    public void setResultCode(String result) {
        this.result = result;
    }

    /**
     * 
     * @param msg msg
     */
    public void setResultMessage(String msg) {
        this.msg = msg;
    }
    
    /**
     * 
     * @return data
     */
    public List<T> getData() {
        return data;
    }

    /**
     * 
     * @param data data
     */
    public void setObjectList(List<T> data) {
        this.data = data;
    }
}
